Get all custom field definitions

GET https://api.expirationreminder.com/v1/customfields
GET /v1/customfields
$ curl https://api.expirationreminder.com/v1/customfields \
  -H "Authorization: Bearer <token>"

Responses

Property Type Description
category CustomFieldDefinitionModel[] -
contact CustomFieldDefinitionModel[] -
company CustomFieldDefinitionModel[] -
location CustomFieldDefinitionModel[] -
vehicle CustomFieldDefinitionModel[] -
equipment CustomFieldDefinitionModel[] -

Example Response

{
  "category": [
    {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "internal_name": "string",
    "field_type": 0,
    "field_type_name": "string",
    "is_dropdown": false,
    "is_required": false,
    "default_value": "string",
    "order_by": 0,
    "options": [
    "string"
  ]
  }
  ],
  "contact": [
    {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "internal_name": "string",
    "field_type": 0,
    "field_type_name": "string",
    "is_dropdown": false,
    "is_required": false,
    "default_value": "string",
    "order_by": 0,
    "options": [
    "string"
  ]
  }
  ],
  "company": [
    {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "internal_name": "string",
    "field_type": 0,
    "field_type_name": "string",
    "is_dropdown": false,
    "is_required": false,
    "default_value": "string",
    "order_by": 0,
    "options": [
    "string"
  ]
  }
  ],
  "location": [
    {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "internal_name": "string",
    "field_type": 0,
    "field_type_name": "string",
    "is_dropdown": false,
    "is_required": false,
    "default_value": "string",
    "order_by": 0,
    "options": [
    "string"
  ]
  }
  ],
  "vehicle": [
    {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "internal_name": "string",
    "field_type": 0,
    "field_type_name": "string",
    "is_dropdown": false,
    "is_required": false,
    "default_value": "string",
    "order_by": 0,
    "options": [
    "string"
  ]
  }
  ],
  "equipment": [
    {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "internal_name": "string",
    "field_type": 0,
    "field_type_name": "string",
    "is_dropdown": false,
    "is_required": false,
    "default_value": "string",
    "order_by": 0,
    "options": [
    "string"
  ]
  }
  ]
}

Bad Request

Property Type Description
message string -
ok boolean -
code string -

Example Response

{
  "message": "string",
  "ok": false,
  "code": "string"
}
An unhandled error has occurred. Reload 🗙

Rejoining the server...

Rejoin failed... trying again in seconds.

Failed to rejoin.
Please retry or reload the page.

The session has been paused by the server.

Failed to resume the session.
Please retry or reload the page.